Subject: Re: [Dri-devel] PPC Lockup (ati-pcigart-branch)

From: Dan Malek <[email-masked]>
Date: Mon, 22 Jan 2001 19:24:17 -0500

Roman Zippel wrote:

> AFAIK such tricks are used for mapping normal (low) memory and ioremapped
> areas. For normal memory you can use phys_to_virt()/virt_to_phys() and for
> ioremapped memory, you have to store the physical and virtual address
> yourself. What am I missing?

The PowerPC port, except for a couple of processors (4xx and 8xx again)
could never use virt_to_phys on any dynamically allocated (vmalloc()'ed)
space.  All of the drivers/devices that used these macros were using
ioremapped() or static buffers.  Perhaps the PCI mapping functions are
implementing some of this, and I need to take a look.

	-- Dan

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/